<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" xmlns:ce="http://typo3.org/ns/TYPO3/CMS/FluidStyledContent/ViewHelpers"
    data-namespace-typo3-fluid="true">

<f:asset.script identifier="gallery-js" src="EXT:akademie_ruhr/Resources/Public/Dist/gallery.js" priority="2" />


<f:if condition="{gallery.rows}">
    <div class="ce-gallery {f:if(condition: data.imageborder, then: ' ce-border')}" data-ce-columns="{gallery.count.columns}"
        data-ce-images="{gallery.count.files}">

        <f:for each="{gallery.rows}" as="row">

            <f:if condition="{gallery.count.files}>1">
                <div class="row">
            </f:if>

            <f:for each="{row.columns}" as="column">
                <f:if condition="{column.media}">

                    <f:if condition="{row.columns -> f:count()}==4">
                        <f:then>
                            <div class="col-md-3 col-sm-6">
                                <f:render partial="Media/SlipGalleryType" arguments="{file: column.media, dimensions: column.dimensions, data: data, settings: settings}"/>
                            </div>
                        </f:then>

                        <f:else>
                            <f:render partial="Media/Type" arguments="{file: column.media, dimensions: column.dimensions, data: data, settings: settings}"/>
                        </f:else>

                    </f:if>
                </f:if>
            </f:for>

            <f:if condition="{gallery.count.files}>1">
                </div>
            </f:if>

        </f:for>
        </div>
</f:if>

</html>
